List traces
curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/traces \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/traces"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"traces": [
{
"test_entity_id": "vhrscje",
"title": "adds an item to the cart",
"trace_urls": [
"https://trace.playwright.dev/?trace=https://cdn.neetoplaydash.com/traces/abc123.zip"
]
}
]
}Traces
List traces
List Playwright traces for a run. Optionally scope the traces to a single test entity.
GET
/
projects
/
{project_id}
/
runs
/
{run_id}
/
traces
List traces
curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/traces \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/traces"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"traces": [
{
"test_entity_id": "vhrscje",
"title": "adds an item to the cart",
"trace_urls": [
"https://trace.playwright.dev/?trace=https://cdn.neetoplaydash.com/traces/abc123.zip"
]
}
]
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
Available options:
application/json Path Parameters
Id of the project. You can get project_id by listing your projects using the List projects API.
Example:
"pdqmxlz"
Query Parameters
Restrict the traces to a single test entity. When omitted, traces for all test entities in the run are returned.
Example:
"vhrscje"
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
Unique identifier of the test entity the traces belong to.
Example:
"vhrscje"
Title of the test entity.
Example:
"adds an item to the cart"
Playwright trace viewer URLs for the captured traces.
Example:
[
"https://trace.playwright.dev/?trace=https://cdn.neetoplaydash.com/traces/abc123.zip"
]